## GtefUtils GtefUtils — Utility functions |

## Functions

gchar * | gtef_utils_recent_chooser_menu_get_item_uri ()

## Includes

    #include <gtef/gtef.h>

## Description

Utility functions.

## Functions

### gtef_utils_recent_chooser_menu_get_item_uri ()

    gchar *
    gtef_utils_recent_chooser_menu_get_item_uri
                                   (GtkRecentChooserMenu *menu,
                                    GtkMenuItem *item);

Gets the URI of `item` . `item` must be a child of `menu` . `menu` must be a GtkRecentChooserMenu.

This function has been written because the value returned by `gtk_recent_chooser_get_current_uri()` is not updated when GtkMenuItem's of a GtkRecentChooserMenu are selected/deselected.

#### Parameters

menu | a GtkRecentChooserMenu. |
item | a GtkMenuItem. |

#### Returns

the URI of `item` . Free with `g_free()` when no longer needed.

Since: 2.0

## Types and Values